Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1693339 - [v2v] [RFE] Hidden UI changes to support Conversion Hosts settings page
Summary: [v2v] [RFE] Hidden UI changes to support Conversion Hosts settings page
Keywords:
Status: POST
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.2
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.11.0
Assignee: Fabien Dupont
QA Contact: Shveta
Red Hat CloudForms Documentation
URL:
Whiteboard: V2V
Depends On:
Blocks: 1683443 1696423
TreeView+ depends on / blocked
 
Reported: 2019-03-27 15:09 UTC by Mike Turley
Modified: 2019-04-09 14:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1696423 (view as bug list)
Environment:
Last Closed:
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)

Description Mike Turley 2019-03-27 15:09:14 UTC
Description of problem:
Conversion Hosts settings page and Configure Conversion Host wizard in the UI


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Mike Turley 2019-03-27 15:12:40 UTC
This BZ is for the UI changes corresponding to this back-end BZ: https://bugzilla.redhat.com/show_bug.cgi?id=1622728
All PRs for both need to be backported to Hammer, and these UI changes should be backported after the back-end changes.
I'll add PR links in my next comment.

Comment 3 Mike Turley 2019-03-27 19:39:59 UTC
Here are all of the UI PRs for this feature, in merge order.

These ones have already been merged to master:

https://github.com/ManageIQ/manageiq-v2v/pull/851 (Add the Conversion Hosts tab, disabled/hidden)
https://github.com/ManageIQ/manageiq-v2v/pull/858 (Add skeleton for page components)
https://github.com/ManageIQ/manageiq-v2v/pull/863 (Add skeleton for wizard steps)
https://github.com/ManageIQ/manageiq-v2v/pull/864 (Add empty state screen)
https://github.com/ManageIQ/manageiq-v2v/pull/871 * (Wizard step 1)
https://github.com/ManageIQ/manageiq-v2v/pull/874 (List view phase 1)
https://github.com/ManageIQ/manageiq-v2v/pull/876 (Wizard step 2)
https://github.com/ManageIQ/manageiq-v2v/pull/880 (Wizard step 3)
https://github.com/ManageIQ/manageiq-v2v/pull/883 (Wizard step 4)
https://github.com/ManageIQ/manageiq-v2v/pull/882 (List view phase 2)
https://github.com/ManageIQ/manageiq-v2v/pull/894 (Wizard field fix)
https://github.com/ManageIQ/manageiq-v2v/pull/889 (List view phase 3)
https://github.com/ManageIQ/manageiq-v2v/pull/907 (List view state fix)
https://github.com/ManageIQ/manageiq-v2v/pull/908 (Wizard API param change 1)
https://github.com/ManageIQ/manageiq-v2v/pull/909 (List view remove modal change)
https://github.com/ManageIQ/manageiq-v2v/pull/913 (Wizard API param change 2)
https://github.com/ManageIQ/manageiq-v2v/pull/916 (List view retry button modal)

All of the above changes have no effect to the user until this one is merged to enable them, which we are waiting to merge until the back end is ready:

https://github.com/ManageIQ/manageiq-v2v/pull/922 (Enable / un-hide the Conversion Hosts tab)


* #871 involves some refactoring that will conflict with the fix for https://bugzilla.redhat.com/show_bug.cgi?id=1680521, which is fixed on master by https://github.com/ManageIQ/manageiq-v2v/pull/920 and would be fixed on hammer by https://github.com/ManageIQ/manageiq-v2v/pull/921. If we backport #871 first, we can then backport #920 and close #921. If we merge #921 first, we'll have to resolve conflicts in backporting #871. Before any of that, we'll need to backport https://github.com/ManageIQ/manageiq-v2v/pull/847 for https://bugzilla.redhat.com/show_bug.cgi?id=1667097 because it conflicts in the same place.... @Satoe, we might want to coordinate on these. Sorry for the confusion. Basically, it would be best if we could backport everything in the same order it was merged to master.

Comment 4 Mike Turley 2019-04-02 12:57:15 UTC
Per Fabien's request, here's a small change to be merged after the above PRs: https://github.com/ManageIQ/manageiq-v2v/pull/924

Comment 5 Mike Turley 2019-04-02 21:52:15 UTC
Fabien and Satoe,

I think we should change this BZ to be "Hidden UI changes to support Conversion Hosts settings page" and backport every PR except #922. That would prevent a lot of merge conflicts, and it would make it easier for me to make hammer-specific tweaks to the UI since they could be additions rather than reversions.

To test this BZ, QE would simply need to verify that the changes didn't break anything. Almost all of the changes are specifically in the Settings page and mostly in all new files. The one exception is https://github.com/ManageIQ/manageiq-v2v/pull/871, which refactors some resources into a common place where they can be shared between the new pages and the Mappings page. QE would just need to verify that the Infra Mappings page and the Mapping Wizard (specifically the Clusters step) still work.

Does this sound ok? I'll rename this BZ and open a separate one for enabling the feature by merging #922.

Comment 6 Mike Turley 2019-04-03 16:13:35 UTC
Fabien responded on Gitter that this approach makes sense, removing needinfo.

Comment 8 Mike Turley 2019-04-04 21:06:44 UTC
Here's one more PR that should be backported along with these: https://github.com/ManageIQ/manageiq-v2v/pull/928
It's just some unit tests with a bugfix for a rare corner case caused by one of the above changes. Satoe, let me know if you think I need to open a separate BZ for it.


Note You need to log in before you can comment on or make changes to this bug.